<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Cloud](./bitburner.cloud.md) &gt; [upgradeServer](./bitburner.cloud.upgradeserver.md)

## Cloud.upgradeServer() method

Upgrade a cloud server's RAM.

**Signature:**

```typescript
upgradeServer(host: string, ram: number): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

Hostname/IP of the cloud server to upgrade.


</td></tr>
<tr><td>

ram


</td><td>

number


</td><td>

Amount of RAM of the cloud server, in GB. Must be a power of 2 (2, 4, 8, 16, etc.). Maximum value of 1048576 (2^20).


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the upgrade succeeded, and false otherwise.

## Remarks

RAM cost: 0.25 GB

